[arch-commits] Commit in gimp/trunk (PKGBUILD gimp.install)

Jan de Groot jgc at archlinux.org
Thu Aug 14 12:26:06 UTC 2008


    Date: Thursday, August 14, 2008 @ 08:26:06
  Author: jgc
Revision: 8642

- Fix install scriptlet to update the GTK icon cache
- Remove postinstall message, move it to optdepends (guess there should be more optdepends)
- Tighten dependency versions
- Add some "|| return 1" checks

Modified:
  gimp/trunk/PKGBUILD
  gimp/trunk/gimp.install

--------------+
 PKGBUILD     |   18 +++++++++---------
 gimp.install |   21 +++------------------
 2 files changed, 12 insertions(+), 27 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-14 10:59:37 UTC (rev 8641)
+++ PKGBUILD	2008-08-14 12:26:06 UTC (rev 8642)
@@ -8,12 +8,12 @@
 arch=('i686' 'x86_64')
 license=('GPL2')
 url="http://www.gimp.org/"
-depends=('gtk2>=2.10' 'lcms>=1.16' 'libxpm>=3.5.6' 'libwmf>=0.2.8.4' \
-         'libxmu>=1.0.3' 'librsvg>=2.16.1' 'libmng>=1.0.9' \
-         'libexif>=0.6.13' 'libart-lgpl>=2.3.19' 'pygtk>=2.10.4' 'dbus-glib')
-makedepends=('gutenprint>=5.0.0' 'perlxml' \
-             'poppler-glib>=0.8' 'pkgconfig>=0.21' \
-             'alsa-lib>=1.0.13' 'libgnomeui')
+depends=('gtk2>=2.12.11' 'lcms>=1.17' 'libxpm>=3.5.7' 'libwmf>=0.2.8.4'
+         'libxmu>=1.0.4' 'librsvg>=2.22.2' 'libmng>=1.0.10' 'dbus-glib>=0.7.6'
+         'libexif>=0.6.16' 'libart-lgpl>=2.3.20' 'pygtk>=2.12.1')
+makedepends=('gutenprint>=5.0.2' 'perlxml' 'poppler-glib>=0.8.4'
+             'pkgconfig' 'alsa-lib>=1.0.16' 'libgnomeui>=2.22.1')
+optdepends=('gutenprint: Advanced printing support')
 options=('!libtool' '!makeflags')
 conflicts=('gimp-unstable')
 install=${pkgname}.install
@@ -26,9 +26,9 @@
    ./configure --prefix=/usr --sysconfdir=/etc \
      --enable-mp --enable-gimp-console --disable-devel-docs \
      --enable-python --with-gif-compression=lzw \
-     --without-aa
+     --without-aa || return 1
    make || return 1
-   make DESTDIR=${startdir}/pkg install-strip
+   make DESTDIR=${startdir}/pkg install-strip || return 1
    install -Dm644 ${startdir}/src/linux.gpl \
-     ${startdir}/pkg/usr/share/gimp/2.0/palettes/Linux.gpl
+     ${startdir}/pkg/usr/share/gimp/2.0/palettes/Linux.gpl || return 1
 }

Modified: gimp.install
===================================================================
--- gimp.install	2008-08-14 10:59:37 UTC (rev 8641)
+++ gimp.install	2008-08-14 12:26:06 UTC (rev 8642)
@@ -1,27 +1,12 @@
-
-# arg 1:  the new package version
 post_install() {
-  cat << EOM
-
---> gimp has built-in cups print support now. for more sophisticated printing,
---> please install gutenprint.
-
-EOM
-  echo "update desktop mime database..."
   update-desktop-database -q
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
 
 post_upgrade() {
-  post_install $1
+  post_install
 }
 
-# arg 1:  the old package version
 post_remove() {
-  echo "update desktop mime database..."
-  update-desktop-database -q
+  post_install
 }
-
-op=$1
-shift
-$op $*
-# vim: ft=sh




More information about the arch-commits mailing list